name: Docs

on:
    schedule:
        - cron: '0 0 * * *'
    push:
        branches: [main]
    release:

jobs:
    github-pages:
        name: Build
        runs-on: ubuntu-latest

        steps:
            - uses: actions/checkout@v4

            - uses: ./.github/workflows/build-jekyll-site-action
              with:
                  jekyll_src: docs
              env:
                  JEKYLL_GITHUB_TOKEN: ${{ secrets.JEKYLL_PAT }}
                  JEKYLL_PAT: ${{ secrets.JEKYLL_PAT }}
